<?php
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

require 'PHPMailer-master/src/Exception.php';
require 'PHPMailer-master/src/PHPMailer.php';
require 'PHPMailer-master/src/SMTP.php';

function enviarCorreoIngreso($email, $nombre, $pdfPath) {

    $mail = new PHPMailer(true);

    $mail->isSMTP();
    $mail->Host = 'mail.misarriendos.cl';
    $mail->SMTPAuth = true;
    $mail->Username = 'notificaciones@misarriendos.cl';
    $mail->Password = 'Mihogar182';
    $mail->SMTPSecure = PHPMailer::ENCRYPTION_STARTTLS;
    $mail->Port = 587;

    $mail->CharSet = 'UTF-8';
    $mail->setFrom('notificaciones@misarriendos.cl', 'Sistema de Arriendos');
    $mail->addAddress($email, $nombre);

    $mail->isHTML(true);
    $mail->Subject = "Ficha de Ingreso – Condominio Lagunmar";

    $mail->Body = "
        <h3>Estimado/a $nombre</h3>
        <p>Adjuntamos su <b>Ficha de Ingreso</b> correspondiente a su arriendo.</p>
        <p><b>Departamento 1031 – Edificio Vela – Piso 3</b></p>
        <p>Este documento es obligatorio para su ingreso.</p>
        <br>
        <small>Sistema de Arriendos</small>
    ";

    $mail->addAttachment($pdfPath, 'Ficha_Arriendo.pdf');

    $mail->send();
}
